Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 01 Jun 2020 01:03:13 -0400

Hello Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi Pierre,
>
> Pierre Neidhardt <[email-masked]> skribis:
>
>> Now that 37305 is merged, we can revisit this issue.
>>
>> 1. This patch only includes a documentation update.
>> 2. We could make Btrfs the default in the graphical installer.
>> 3. We would probably need to update the tests, at least for the latter.
>>
>> As mentioned above, I think it's safe to enable Btrfs without subvolume,
>> with Zstd compression.
>>
>> For subvolumes, we would need to implement the corresponding tests.
>>
>> Thoughts?
>
> Like I wrote earlier, ext4 is better tested configuration.  For the
> people who take care of the release, believe me, it’s reassuring to have
> one less moving piece.

I believe you! :-)

> So the question is not whether Btrfs is “better”, it’s more about the
> confidence and peace of mind of those responsible for the release and
> subsequent maintenance.
>
> Now, contributions that make Btrfs well-supported in the installer (is
> anything missing there?) and in system tests would be welcome I guess.

I don't know about the installer (I guess there's no support for
configuring Btrfs subvolumes graphically), but for system tests we're
already covered (we have a general Btrfs installation test, as well as
one on a subvolume, even a Btrfs RAID one in patches).

> In the manual, it’s also fine IMO to mention something like:
>
>   Some file systems, such as Btrfs, support compression, which is
>   reported to nicely complement file deduplication that the daemon
>   performs independently of the file system (@pxref{Invoking
>   guix-daemon}).
>
> So a hint for savvy people rather than a recommendation.

That's reasonable as a first step in democratizing Btrfs usage a bit,
without taking any risk, if that's better for your peace of mind :-).

Maxim